Gda.SqlBuilder – Gda-6.0 Reference Manual

# SqlBuilder

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_sql_builder_get_type ()" ) ]
public class SqlBuilder : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public SqlBuilder (SqlStatementType stmt_type)

### Methods:

- public SqlBuilderId add_case_v (SqlBuilderId test_expr, SqlBuilderId else_expr, SqlBuilderId[] when_array, SqlBuilderId[] then_array)
- public SqlBuilderId add_cond (SqlOperatorType op, SqlBuilderId op1, SqlBuilderId op2, SqlBuilderId op3)
- public SqlBuilderId add_cond_v (SqlOperatorType op, SqlBuilderId[] op_ids)
- public SqlBuilderId add_expr_value (Value? value)
- public SqlBuilderId add_field_id (string field_name, string? table_name = null)
- public void add_field_value_as_gvalue (string field_name, Value? value)
- public void add_field_value_id (SqlBuilderId field_id, SqlBuilderId value_id)
- public SqlBuilderId add_function_v (string func_name, SqlBuilderId[] args)
- public SqlBuilderId add_id (string str)
- public SqlBuilderId add_param (string param_name, Type type, bool nullok)
- public SqlBuilderId add_sub_select (SqlStatement sqlst)
- public void compound_add_sub_select (SqlStatement sqlst)
- public void compound_add_sub_select_from_builder (SqlBuilder subselect)
- public void compound_set_type (SqlStatementCompoundType compound_type)
- public SqlExpr export_expression (SqlBuilderId id)
- public unowned SqlStatement? get_sql_statement ()
- public Statement get_statement () throws Error
- public SqlBuilderId import_expression (SqlExpr expr)
- public SqlBuilderId import_expression_from_builder (SqlBuilder query, SqlBuilderId expr_id)
- public void join_add_field (SqlBuilderId join_id, string field_name)
- public SqlBuilderId select_add_field (string field_name, string? table_name = null, string? alias = null)
- public SqlBuilderId select_add_target (string table_name, string? alias = null)
- public SqlBuilderId select_add_target_id (SqlBuilderId table_id, string? alias = null)
- public void select_group_by (SqlBuilderId expr_id)
- public SqlBuilderId select_join_targets (SqlBuilderId left_target_id, SqlBuilderId right_target_id, SqlSelectJoinType join_type, SqlBuilderId join_expr)
- public void select_order_by (SqlBuilderId expr_id, bool asc, string? collation_name = null)
- public void select_set_distinct (bool distinct, SqlBuilderId expr_id)
- public void select_set_having (SqlBuilderId cond_id)
- public void select_set_limit (SqlBuilderId limit_count_expr_id, SqlBuilderId limit_offset_expr_id)
- public void set_table (string table_name)
- public void set_where (SqlBuilderId cond_id)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref